<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link href="../css/main.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="../css/tooltip.css" />

<?php
include ("../navigation/header.php");
$page_name = "AD-tracking";
include ("../navigation/access.php");
include('../include/period_select_date.php');	


if ($permission_num==1) {
	include ("../navigation/admin_sidebar.php");
?>
<?php
	
$table_name2 = $_SESSION['db_prefix']."_tracking_production";
$tracking_query = "SELECT * FROM $table_name2 WHERE entry_date >= '".$start."' AND entry_date <= '".$end."' ORDER BY action_id DESC ";
$tracking_result = $con->query($tracking_query);
$tracking_num = mysqli_num_rows($tracking_result);


?>
<!--style sheets-->
<link rel="stylesheet" type="text/css" href="../css/scroll_table.css" />

<!--jscript-->
<script language="javascript" src="../jscript/calendar.js"></script>
<script type="text/javascript" language="javascript" src="../jscript/jquery.dataTables.js">
</script><script type="text/javascript" charset="utf-8">
			$(document).ready(function() {
				$('#scroll_table').dataTable( {
					"sScrollY": "500px",
					"bPaginate": false,
					"bScrollCollapse": true,
					"aaSorting": [[ 0, "desc" ]],
					"aoColumns": [
								{"iDataSort": 5},
                              	{"bSortable": true},
                             	{"bSortable": true},
								{"bSortable": true},
								{"bSortable": true},
								{"bVisible": false}
								 ]
				} );
			} );
		</script>
</head>

<body>


<div class="main_frame">
<div class="page_head_frame">
        
        <table width="825" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="523"><label class="label_page_head">Production tracking</label></td>
            <td width="287">&nbsp;</td>
          </tr>
        </table>
  </div>
        <br />
<br />

<div class="page_middle_frame">	
<?php
$page='tracking_production.php';
$reference_name='';
$reference='';
$reference_name_2='';
$reference_2='';
$reference_name_3='';
$reference_3='';
include('../include/period_select_block_small.php');
?>
</div>


<div class="page_middle_frame">
<table width="683" id="scroll_table" class="data_display"  >
  <thead>
  <tr>
    <th>date</th>
    <th >time</th>
    <th>user</th>
    <th>action</th>
    <th width="371" >details</th>
    <th width="55" >&nbsp;</th>
    </tr>
    </thead>
<?php 

while($row = $tracking_result->fetch_assoc()) {
	$b0 = $row["action_id"];
	$b1 = $row["entry_date"];
	$b2 = $row["user_name"];
	$b3 = $row["action"];
	$d1 = $row["details_1"];
	$d2 = $row["details_2"];
	$d3 = $row["details_3"];
	$d4 = $row["details_4"];
	
	
	$action='';
	$details='';
	switch ($b3) {
	case 60: 
		$action = 'Production packing';
		
		$table_name = $_SESSION['db_prefix']."_production_plan";
		$production_query = "SELECT mix_design_name FROM $table_name WHERE production_no='".$d2."'  ";
		$production_result = mySQL_query($production_query);
		$production_num = mysql_num_rows($production_result);
		if ($production_num!=0) {
		$mix_design_name = mysql_result($production_result, 0, "mix_design_name");
		}
		else {
			$mix_design_name = 'canceled';
		}
		
		
     	$details = 'Production packing no <a href=../production/production_slip.php?production_no='.$d2.'><b>'.$d2.'</b></a> on '.date("d-m-Y", strtotime($d1)).': '.$mix_design_name.'.';
        break;
	case 61:
	    //production registration
		$action = 'Production packing';
		
		$table_name = $_SESSION['db_prefix']."_production";
		$production_query = "SELECT product_item_id FROM $table_name WHERE production_no='".$d1."'  ";
		$production_result = $con->query($production_query);
		$row = mysqli_fetch_assoc($production_result);
		$product_item_id = $row['product_item_id'];
		
		$table_name = $_SESSION['db_prefix']."_product_store";
		$item_name_query = "SELECT  item_name FROM $table_name WHERE product_item_id = '".$product_item_id."'  ";
		$item_name_result = $con->query($item_name_query);
		$row = mysqli_fetch_assoc($item_name_result);
		$item_name = $row['item_name'];
		$TT = 'Click for production details';
	
     	$details = 'Production packing no <a href="../production/production_slip.php?production_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>'.$d1.'</b></a> of <b>'.$item_name.'</b> on '.date("d-m-Y", strtotime($d2)).':<br>Batches: '.$d3.'. Produced: '.$d4.'.';
        break;	
	case 62:
		//packing registration
		$action = 'Production';
		
		$table_name = $_SESSION['db_prefix']."_production";
		$production_query = "SELECT product_item_id FROM $table_name WHERE production_no='".$d1."'  ";
		$production_result = $con->query($production_query);
		$row = mysqli_fetch_assoc($production_result);
		$product_item_id = $row['product_item_id'];
		
		$table_name = $_SESSION['db_prefix']."_product_store";
		$item_name_query = "SELECT  item_name FROM $table_name WHERE product_item_id = '".$product_item_id."'  ";
		$item_name_result = $con->query($item_name_query);
		$row = mysqli_fetch_assoc($item_name_result);
		$item_name = $row['item_name'];
		
			
		$table_name = $_SESSION['db_prefix']."_product_store";
		$new_item_name_query = "SELECT  item_name FROM $table_name WHERE product_item_id = '".$d3."'  ";
		$new_item_name_result = $con->query($new_item_name_query);
		$row = mysqli_fetch_assoc($new_item_name_result);
		$new_item_name = $row['item_name'];
	
     	$details = $d4.' products from production no <a href=../production/production_slip.php?production_no='.$d1.'><b>'.$d1.'</b></a> of <b>'.$item_name.'</b> packed as <b>'.$new_item_name.'</b> on '.date("d-m-Y", strtotime($d2)).'.';
        break;	
	case 63:
		$action = 'Depalleted';
		
		$table_name = $_SESSION['db_prefix']."_production_plan";
		$production_query = "SELECT mix_design_name FROM $table_name WHERE production_no='".$d2."'  ";
		$production_result = mySQL_query($production_query);
		$mix_design_name = mysql_result($production_result, 0, "mix_design_name");
		
     	$details = 'Production plan no <a href=../production/production_slip.php?production_no='.$d2.'><b>'.$d1.'</b></a> on '.date("d-m-Y", strtotime($d1)).': '.$mix_design_name.'. Pallets: '.$d3.'. Depalleted: '.$d4.'.';
        break;		
			
	case 64:
        $action = 'New production packing design';
		$table_name = $_SESSION['db_prefix']."_mix_design_lines";
		$item_query = "SELECT mix_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$mix_design = $row['mix_design'];
						
		$details = 'New production packing design<a href=../production/mix_design_display.php?design_no='.$d1.'><b>'.$mix_design.'</b></a>.';
        break;	
		
    case 65:
        $action = 'Edit production packing design';
		$table_name = $_SESSION['db_prefix']."_mix_design_lines";
		$item_query = "SELECT mix_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = mySQL_query($item_query);
		$mix_design = mysql_result($item_result, 0, "mix_design");
		
		$table_name = $_SESSION['db_prefix']."_store_items";
		$name_query = "SELECT item_name FROM $table_name WHERE store_item_id = '".$d2."'  ";
		$name_result = mySQL_query($name_query);
		$d2a = mysql_result($name_result, 0, "item_name");
		
		$table_name = $_SESSION['db_prefix']."_store_items";
		$name_query = "SELECT item_name FROM $table_name WHERE store_item_id = '".$d3."'  ";
		$name_result = mySQL_query($name_query);
		$d3a = mysql_result($name_result, 0, "item_name");
		
		$details = '<b>'.$d2a.'</b> in <a href=../production/mix_design_display.php?design_no='.$d1.'><b>'.$mix_design.'</b></a> changed to <b>'.$d3a.'</b>.';
        break;
		
	case 66:
        $action = 'Edit production packing design';
		$table_name = $_SESSION['db_prefix']."_mix_design_lines";
		$item_query = "SELECT mix_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$mix_design = $row['mix_design'];

		
		$details = '<b>'.$d4.'</b> in <a href=../production/mix_design_display.php?design_no='.$d1.'><b>'.$mix_design.'</b></a> changed from <b>'.$d2.'<?b> to <b>'.$d3.'</b>';
        break;
		
	case 67:
        $action = 'Edit mix design';
		$table_name = $_SESSION['db_prefix']."_mix_design_lines";
		$item_query = "SELECT mix_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$mix_design = $row['mix_design'];

		
		$details = '<b>'.$d4.'</b> in <a href=../production/mix_design_display.php?design_no='.$d1.'><b>'.$mix_design.'</b></a> removed.';
        break;		
		
	case 68:
        $action = 'Edit mix design';
		$table_name = $_SESSION['db_prefix']."_mix_design_lines";
		$item_query = "SELECT mix_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$mix_design = $row['mix_design'];

		
		$table_name = $_SESSION['db_prefix']."_store_items";
		$name_query = "SELECT item_name FROM $table_name WHERE store_item_id = '".$d2."'  ";
		$name_result = $con->query($name_query);
		$row = mysqli_fetch_assoc($name_result);
		$d2a = $row['item_name'];

			
		
		$details = '<b>'.$d2a.'</b> in <a href=../production/mix_design_display.php?design_no='.$d1.'><b>'.$mix_design.'</b></a> added with a quantity of <b>'.$d4.'</b>.';
        break;	
	
	case 69:
        $action = 'Edit mix design';
		$table_name = $_SESSION['db_prefix']."_mix_design_lines";
		$item_query = "SELECT mix_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$mix_design = $row['mix_design'];

		$details = 'Estimated production quantity in <a href=../production/mix_design_display.php?design_no='.$d1.'><b>'.$mix_design.'</b></a> changed from <b>'.$d2.'</b> to <b>'.$d3.'</b>.';
        break;	
		
	case 70:
        $action = 'Edit production packing';
							
		$table_name = $_SESSION['db_prefix']."_production";
		$item_query = "SELECT production_date FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$production_date = $row['production_date'];
		$TT='Click to view this production';
		
		$details = 'Number of batches in production no <a href="../production/production_slip.php?production_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>'.$d1.'</b></a> from '.date("d-m-Y", strtotime($production_date)).' changed from '.$d2.' to '.$d3.' batches. New total production: '.$d4;
        break;
		
	case 71:
        $action = 'Edit production packing';
							
		$table_name = $_SESSION['db_prefix']."_production";
		$item_query = "SELECT production_date FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$production_date = $row['production_date'];
		$TT='Click to view this production';
		
		$details = 'Number of recycled in production no <a href="../production/production_slip.php?production_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>'.$d1.'</b></a> from '.date("d-m-Y", strtotime($production_date)).' changed from '.$d2.' to '.$d3.' recycled products. New total production: '.$d4;
        break;
		
	case 72:
        $action = 'Edit packing';
							
		$table_name = $_SESSION['db_prefix']."_production";
		$item_query = "SELECT production_date FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$production_date = $row['production_date'];
		$TT='Click to view this packing';
		
		$details = 'Packed quantity for production no <a href="../production/packing_slip.php?production_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>'.$d1.'</b></a> from '.date("d-m-Y", strtotime($production_date)).' changed from '.$d2.' to '.$d3.'. Number damaged products: '.$d4;
        break;
		
	case 73:
        $action = 'Cancel production';
		
					
		$details = 'Production of <b>'.$d2.'</b> in production of <b>'.$d1.'</b> canceled';
        break;	
		
	case 74:
        $action = 'Edit packing';
							
		$table_name = $_SESSION['db_prefix']."_production";
		$item_query = "SELECT production_date FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$production_date = $row['production_date'];
		
		$TT='Click to view this packing';
		
		$details = 'Number of damaged in production no <a href="../production/production_slip.php?production_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>'.$d1.'</b></a> from '.date("d-m-Y", strtotime($production_date)).' changed from <b>'.$d2.'</b> to <b>'.$d3.'</b> damaged products. New total packed products: '.$d4;
        break;
		
	case 75:
        $action = 'Edit packing';
							
		$table_name = $_SESSION['db_prefix']."_production";
		$item_query = "SELECT production_date FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$production_date = $row['production_date'];
		
		$table_name = $_SESSION['db_prefix']."_packaging_design";
		$design_name1_query = "SELECT packaging_design FROM $table_name WHERE design_no = '".$d2."'  ";
		$design_name1_result = $con->query($design_name1_query);
		$row = mysqli_fetch_assoc($design_name1_result);
		$design_name1 = $row['packaging_design'];

		$table_name = $_SESSION['db_prefix']."_packaging_design";
		$design_name2_query = "SELECT packaging_design FROM $table_name WHERE design_no = '".$d3."'  ";
		$design_name2_result = $con->query($design_name2_query);
		$row = mysqli_fetch_assoc($design_name2_result);
		$design_name2 = $row['packaging_design'];
		
		
		
		$TT='Click to view this packing';
		
		$details = 'Packing design for production no <a href="../production/packing_slip.php?production_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>'.$d1.'</b></a> from '.date("d-m-Y", strtotime($production_date)).' changed from <b>'.$design_name1.'</b> to <b>'.$design_name2.'</b>.';
        break;
		
		case 76:
        $action = 'Edit packing';
							
		$table_name = $_SESSION['db_prefix']."_production";
		$item_query = "SELECT production_date FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$production_date = $row['production_date'];
		$TT='Click to view this packing';
		
		$details = 'Packed date for <a href="../production/packing_slip.php?packing_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>packing no '.$d1.'</b></a> changed from '.date("d-m-Y", strtotime($d3)).' to '.date("d-m-Y", strtotime($d2)).'.';
        break;	
		
		case 77:
        $action = 'New packaging design';
		$table_name = $_SESSION['db_prefix']."_packaging_design_lines";
		$item_query = "SELECT packaging_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$packaging_design = $row['packaging_design'];
					
		$details = 'New packaging design <a href=../production/packaging_design_display.php?design_no='.$d1.'><b>'.$packaging_design.'</b></a>.';
        break;	
		
    case 78:
        $action = 'Edit packaging design';
		$table_name = $_SESSION['db_prefix']."_packaging_design_lines";
		$item_query = "SELECT packaging_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$packaging_design = $row['packaging_design'];
		
		$table_name = $_SESSION['db_prefix']."_store_items";
		$name_query = "SELECT item_name FROM $table_name WHERE store_item_id = '".$d2."'  ";
		$name_result = $con->query($name_query);
		$row = mysqli_fetch_assoc($name_result);
		$d2a = $row['item_name'];
		
		$table_name = $_SESSION['db_prefix']."_store_items";
		$name_query = "SELECT item_name FROM $table_name WHERE store_item_id = '".$d3."'  ";
		$name_result = $con->query($name_query);
		$row = mysqli_fetch_assoc($name_result);
		$d3a = $row['item_name'];
	
		$details = '<b>'.$d2a.'</b> in <a href=../production/packaging_design_display.php?design_no='.$d1.'><b>'.$packaging_design.'</b></a> changed to <b>'.$d3a.'</b>.';
        break;
		
	case 79:
        $action = 'Edit packaging design';
		$table_name = $_SESSION['db_prefix']."_packaging_design_lines";
		$item_query = "SELECT packaging_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$packaging_design = $row['packaging_design'];
		
		$details = '<b>'.$d4.'</b> in <a href=../production/packaging_design_display.php?design_no='.$d1.'><b>'.$packaging_design.'</b></a> changed from <b>'.$d2.'<?b> to <b>'.$d3.'</b>';
        break;
		
	case 80:
        $action = 'Edit packaging design';
		$table_name = $_SESSION['db_prefix']."_packaging_design_lines";
		$item_query = "SELECT packaging_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$packaging_design = $row['packaging_design'];
		
		
		$details = '<b>'.$d4.'</b> in <a href=../production/packaging_design_display.php?design_no='.$d1.'><b>'.$packaging_design.'</b></a> removed.';
        break;		
		
	case 81:
        $action = 'Edit packaging design';
		$table_name = $_SESSION['db_prefix']."_packaging_design_lines";
		$item_query = "SELECT packaging_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$packaging_design = $row['packaging_design'];
		
		
		$table_name = $_SESSION['db_prefix']."_store_items";
		$name_query = "SELECT item_name FROM $table_name WHERE store_item_id = '".$d2."'  ";
		$name_result = $con->query($name_query);
		$row = mysqli_fetch_assoc($name_result);
		$d2a = $row['item_name'];
		
		$details = '<b>'.$d2a.'</b> in <a href=../production/packaging_design_display.php?design_no='.$d1.'><b>'.$packaging_design.'</b></a> added with a quantity of <b>'.$d4.'</b>.';
        break;	
	
	case 82:
        $action = 'Edit packaging design';
		$table_name = $_SESSION['db_prefix']."_packaging_design_lines";
		$item_query = "SELECT packaging_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$packaging_design = $row["packaging_design"];
		
		
		$details = 'Estimated packing quantity in <a href=../production/packaging_design_display.php?design_no='.$d1.'><b>'.$packaging_design.'</b></a> changed from <b>'.$d2.'</b> to <b>'.$d3.'</b>.';
        break;	
		
	case 83:
        $action = 'Edit production';
							
		$table_name = $_SESSION['db_prefix']."_production";
		$item_query = "SELECT production_date FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$production_date = $row['production_date'];
		$TT='Click to view this production';
		
		$details = 'Production date for <a href="../production/production_slip.php?production_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>production no '.$d1.'</b></a> changed from '.date("d-m-Y", strtotime($d3)).' to '.date("d-m-Y", strtotime($d2)).'.';
        break;	
		
	case 84:
        $action = 'Edit production';
							
		$table_name = $_SESSION['db_prefix']."_production";
		$item_query = "SELECT production_date FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$production_date = $row['production_date'];
		$TT='Click to view this production';
		
		$details = 'Batch code for <a href="../production/production_slip.php?production_no='.$d1.'" onMouseover="ddrivetip('.$TT.', 150)"; onMouseout="hideddrivetip()"><b>production no '.$d1.'</b></a> changed from <b>'.$d3.'</b> to <font color=#FF0000><b>'.$d2.'</b></font>.';
        break;	
							
	case 85:
        $action = 'Edit mix design';
		$table_name = $_SESSION['db_prefix']."_mix_design_lines";
		$item_query = "SELECT mix_design FROM $table_name WHERE design_no = '".$d1."' ";
		$item_result = $con->query($item_query);
		$row = mysqli_fetch_assoc($item_result);
		$mix_design = $row['mix_design'];

		$details = 'Packaging design in <a href=../production/mix_design_display.php?design_no='.$d1.'><b>'.$mix_design.'</b></a> changed from <b>'.$d2.'</b> to <b>'.$d3.'</b>.';
        break;
		
	
	case 86:
        $action = 'Edit wet count';
		
		$table_name = $_SESSION['db_prefix']."_production_plan";
		$item_query = "SELECT production_date, mix_design_name FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = mySQL_query($item_query);
		$production_date = mysql_result($item_result, 0, "production_date");
		$mix_design_name = mysql_result($item_result, 0, "mix_design_name");
		
				
		$details = 'In production of <a href=../production/production_plan.php?production_no='.$d1.'><b>'.$d1.'</b></a> on '.date("d-m-Y", strtotime($production_date )).' is the edited quantity of '.$d4.' >2%  <b><font color="#FF0000">'.$d3.'</font></b> than the estimated quantity for the '.$d2.' recorded batches';
        break;
		
		case 87:
        $action = 'Wet count';
		
		$table_name = $_SESSION['db_prefix']."_production_plan";
		$item_query = "SELECT production_date, mix_design_name FROM $table_name WHERE production_no = '".$d1."' ";
		$item_result = mySQL_query($item_query);
		$production_date = mysql_result($item_result, 0, "production_date");
		$mix_design_name = mysql_result($item_result, 0, "mix_design_name");
		
				
		$details = 'In production of <a href=../production/production_plan.php?production_no='.$d1.'><b>'.$d1.'</b></a> on '.date("d-m-Y", strtotime($production_date )).' is the counted quantity of '.$d4.' >2%  <b><font color="#FF0000">'.$d3.'</font></b> than the estimated quantity for the '.$d2.' recorded batches';
        break;	
		
 }
	
	?>
  
  
  <tr>
    <td width="54" align="left"><?php echo date("d-m-Y", strtotime($b1 )) ?></td>
    <td width="38" align="left"><?php echo date("H:i", strtotime($b1 ))  ?></td>
    <td width="50" align="left"><?php echo $b2 ?></td>
    <td width="87" align="left"><?php echo $action ?></td>
    <td align="left"><?php echo $details ?></td>
    <td align="left"><?php echo $b1 ?></td>
    </tr>
  <?php
 
}
?>

</table>

</div>

</div>
</body>
<?php } else {
$_SESSION['denied_return'] = "admin_module/user_list.php";	
    include ("../navigation/admin_sidebar.php");?>
	<body onLoad="accessdenied(); return false">
<?php }
?>
<?php include ('../navigation/side_bar.php'); ?>
</html>